com.genesyslab.wfm7.API.service.session700

## Class SessionInfo

- java.lang.Object
- - com.genesyslab.wfm7.API.service.session700.SessionInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class SessionInfo
      extends java.lang.Object
      implements java.io.Serializable

  This structure is returned to the client, when the session is successfully established.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private ServiceInfo[]` | `services` An array listing all services that can be accessed using this session
    `private int` | `servicesNSizeIs` Size of services[]
    `private java.lang.String` | `sid` Session ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionInfo()`
    `SessionInfo(java.lang.String sid, int servicesNSizeIs, ServiceInfo[] services)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `ServiceInfo[]` | `getServices()` Gets the services value for this SessionInfo.
    `int` | `getServicesNSizeIs()` Gets the servicesNSizeIs value for this SessionInfo.
    `java.lang.String` | `getSid()` Gets the sid value for this SessionInfo.
    `int` | `hashCode()`
    `void` | `setServices(ServiceInfo[] services)` Sets the services value for this SessionInfo.
    `void` | `setServicesNSizeIs(int servicesNSizeIs)` Sets the servicesNSizeIs value for this SessionInfo.
    `void` | `setSid(java.lang.String sid)` Sets the sid value for this SessionInfo.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sid

          private java.lang.String sid

      Session ID

    - #### servicesNSizeIs

          private int servicesNSizeIs

      Size of services[]

    - #### services

          private ServiceInfo[] services

      An array listing all services that can be accessed using this session

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SessionInfo

          public SessionInfo()

    - #### SessionInfo

          public SessionInfo(java.lang.String sid,
                     int servicesNSizeIs,
                     ServiceInfo[] services)

  - ### Method Detail

    - #### getSid

          public java.lang.String getSid()

      Gets the sid value for this SessionInfo.
      Returns:
        sid

    - #### setSid

          public void setSid(java.lang.String sid)

      Sets the sid value for this SessionInfo.
      Parameters:
        `sid` -

    - #### getServicesNSizeIs

          public int getServicesNSizeIs()

      Gets the servicesNSizeIs value for this SessionInfo.
      Returns:
        servicesNSizeIs

    - #### setServicesNSizeIs

          public void setServicesNSizeIs(int servicesNSizeIs)

      Sets the servicesNSizeIs value for this SessionInfo.
      Parameters:
        `servicesNSizeIs` -

    - #### getServices

          public ServiceInfo[] getServices()

      Gets the services value for this SessionInfo.
      Returns:
        services

    - #### setServices

          public void setServices(ServiceInfo[] services)

      Sets the services value for this SessionInfo.
      Parameters:
        `services` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.